## section-urls

section-urls

## Functions

char * | flickcurl_urls_getGroup ()
char * | flickcurl_urls_getUserPhotos ()
char * | flickcurl_urls_getUserProfile ()
char * | flickcurl_urls_lookupGallery ()
char * | flickcurl_urls_lookupGroup ()
char * | flickcurl_urls_lookupUser ()

## Description

## Functions

### flickcurl_urls_getGroup ()

    char *
    flickcurl_urls_getGroup (flickcurl *fc,
                             const char *group_id);

Get the url to a group's page.

Implements flickr.urls.getGroup (0.9)

#### Parameters

fc | flickcurl context |
group_id | group ID |

#### Returns

NSID or NULL on failure

### flickcurl_urls_getUserPhotos ()

    char *
    flickcurl_urls_getUserPhotos (flickcurl *fc,
                                  const char *user_id);

Get the url to a user's photos.

Implements flickr.urls.getUserPhotos (0.9)

#### Parameters

fc | flickcurl context |
user_id | user ID |

#### Returns

NSID or NULL on failure

### flickcurl_urls_getUserProfile ()

    char *
    flickcurl_urls_getUserProfile (flickcurl *fc,
                                   const char *user_id);

Get the url to a user's profile.

Implements flickr.urls.getUserProfile (0.9)

#### Parameters

fc | flickcurl context |
user_id | user ID |

#### Returns

NSID or NULL on failure

### flickcurl_urls_lookupGallery ()

    char *
    flickcurl_urls_lookupGallery (flickcurl *fc,
                                  const char *url);

Get a gallery ID by url.

Implements flickr.urls.lookupGallery (1.18)

Announced 2010-04-08 http://code.flickr.com/blog/2010/04/08/galleries-apis/

#### Parameters

fc | flickcurl context |
url | The gallery's URL. |

#### Returns

gallery ID or NULL on failure

### flickcurl_urls_lookupGroup ()

    char *
    flickcurl_urls_lookupGroup (flickcurl *fc,
                                const char *url);

Get a group NSID, given the url to a group's page or photo pool.

Implements flickr.urls.lookupGroup (0.9)

#### Parameters

fc | flickcurl context |
url | URL of group's page or photo pool |

#### Returns

NSID or NULL on failure

### flickcurl_urls_lookupUser ()

    char *
    flickcurl_urls_lookupUser (flickcurl *fc,
                               const char *url);

Get a user NSID, given the url to a user's photos or profile.

Implements flickr.urls.lookupUser (0.6)

#### Parameters

fc | flickcurl context |
url | URL of user's photo or user's profile |

#### Returns

NSID or NULL on failure